Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.statsvn.util
Class SvnInfoUtils.SvnInfoHandler

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          net.sf.statsvn.util.SvnInfoUtils.SvnInfoHandler

All Implemented Interfaces:
  ContentHandler, DTDHandler, EntityResolver, ErrorHandler

Enclosing class:
  SvnInfoUtils

protected static class SvnInfoUtils.SvnInfoHandler
extends DefaultHandler

SAX parser for the svn info --xml command.

Author:
  jkealey

Constructor Summary
`protected` | `SvnInfoUtils.SvnInfoHandler()`

Method Summary
`void` | `characters(char[] ch, int start, int length)` Builds the string that was read; default implementation can invoke this function multiple times while reading the data.
`void` | `endElement(String uri, String localName, String qName)` End of xml element.
`void` | `startElement(String uri, String localName, String qName, Attributes attributes)` Start of XML element.

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SvnInfoUtils.SvnInfoHandler

    protected SvnInfoUtils.SvnInfoHandler()

Method Detail

### characters

    public void characters(char[] ch,
                           int start,
                           int length)
                    throws SAXException

  Builds the string that was read; default implementation can invoke this function multiple times while reading the data.

  Throws:
    `SAXException`

### endElement

    public void endElement(String uri,
                           String localName,
                           String qName)
                    throws SAXException

  End of xml element.

  Throws:
    `SAXException`

### startElement

    public void startElement(String uri,
                             String localName,
                             String qName,
                             Attributes attributes)
                      throws SAXException

  Start of XML element.

  Throws:
    `SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD